{
	"name": "form/local/input/product/product4/layout.json",
	"layout": {
		"component": "nc-form",
		"attribute": {
			"id": "product4"
		},
		"element": [
			{
				"component": "nc-row",
				"element": [
					{
						"component": "nc-col",
						"attribute": {
							"width": "2/12"
						},
						"element": [
							{
								"component": "nc-label",
								"text": "Product ID",
								"attribute": {
									"model": "hdr.pr.product_id"
								}
							}
						]
					},
					{
						"component": "nc-col",
						"attribute": {
							"width": "10/12"
						},
						"element": [
							{
								"component": "nc-input",
								"attribute": {
									"type": "text",
									":disabled": "true",
									"model": "rec.pr.product_id"
								}
							}
						]
					}
				]
			},
			{
				"component": "nc-row",
				"element": [
					{
						"component": "nc-col",
						"attribute": {
							"width": "2/12"
						},
						"element": [
							{
								"component": "nc-label",
								"text": "Name",
								"attribute": {
									"model": "hdr.pr.name"
								}
							}
						]
					},
					{
						"component": "nc-col",
						"attribute": {
							"width": "10/12"
						},
						"element": [
							{
								"component": "nc-input",
								"attribute": {
									"type": "text",
									":disabled": "true",
									"model": "rec.pr.name"
								}
							}
						]
					}
				]
			},
			{
				"component": "nc-row",
				"element": [
					{
						"component": "nc-col",
						"attribute": {
							"width": "2/12"
						},
						"element": [
							{
								"component": "nc-label",
								"text": "Product control type",
								"attribute": {
									"model": "hdr.pr.production_type"
								}
							}
						]
					},
					{
						"component": "nc-col",
						"attribute": {
							"width": "4/12"
						},
						"element": [
							{
								"component": "nc-row",
								"element": [
									{
										"component": "nc-col",
										"comment": "input.form-control(type='radio', name=\"prfi_lbOrderPart\", value=\"rbtulaji\")",
										"attribute": {
											"width": "6/12"
										},
										"element": [
											{
												"component": "nc-radio",
												"text": "Order Part",
												"attribute": {
													"value": "'order_part'",
													"model": "rec.product.part"
												}
											}
										]
									},
									{
										"component": "nc-col",
										"comment": "input.form-control(type='radio', name=\"prfi_lbStockPart\", value=\"rbtulaji\")",
										"attribute": {
											"width": "6/12"
										},
										"element": [
											{
												"component": "nc-radio",
												"text": "Stock Part",
												"attribute": {
													"value": "'stock_part'",
													"model": "rec.product.part"
												}
											}
										]
									}
								]
							}
						]
					}
				]
			},
			{
				"component": "nc-row",
				"element": [
					{
						"component": "nc-col",
						"attribute": {
							"width": "8/12"
						},
						"element": [
							{
								"component": "nc-row",
								"element": [
									{
										"component": "nc-col",
										"attribute": {
											"width": "3/12"
										},
										"element": [
											{
												"component": "nc-label",
												"text": "Type",
												"attribute": {
													"model": "hdr.pr.product_type"
												}
											}
										]
									},
									{
										"component": "nc-col",
										"attribute": {
											"width": "3/12"
										},
										"element": [
											{
												"component": "nc-dropdown",
												"attribute": {
													"model": "rec.pr.product_type"
												}
											}
										]
									},
									{
										"component": "nc-col",
										"attribute": {
											"width": "3/12"
										},
										"element": [
											{
												"component": "nc-label",
												"text": "Raw material delivery time (weeks)",
												"attribute": {
													"model": "hdr.pr.json_data.raw_material_delivery_time"
												}
											}
										]
									},
									{
										"component": "nc-col",
										"attribute": {
											"width": "3/12"
										},
										"element": [
											{
												"component": "nc-input",
												"attribute": {
													"type": "text",
													"model": "rec.pr.json_data.raw_material_delivery_time"
												}
											}
										]
									}
								]
							}
						]
					}
				]
			},
			{
				"component": "nc-row",
				"element": [
					{
						"component": "nc-col",
						"attribute": {
							"width": "4/12"
						},
						"element": [
							{
								"component": "nc-row",
								"element": [
									{
										"component": "nc-row",
										"attribute": {
											"width": "1/1"
										},
										"element": [
											{
												"component": "nc-label",
												"text": "Stock limit calc type",
												"attribute": {
													"model": "hdr.pr.json_data.stock_limit_calc_type"
												}
											}
										]
									}
								]
							},
							{
								"component": "nc-row",
								"element": [
									{
										"component": "nc-row",
										"attribute": {
											"width": "1/1"
										},
										"element": [
											{
												"component": "nc-radio",
												"text": "Fixed",
												"attribute": {
													"value": "'fixed'",
													"model": "rec.pr.json_data.stock_limit_calc_type"
												}
											}
										]
									}
								]
							},
							{
								"component": "nc-row",
								"element": [
									{
										"component": "nc-row",
										"attribute": {
											"width": "1/1"
										},
										"element": [
											{
												"component": "nc-radio",
												"text": "Week estimate + spare parts",
												"attribute": {
													"value": "'week_estimate_spare_parts'",
													"model": "rec.pr.json_data.stock_limit_calc_type"
												}
											}
										]
									}
								]
							},
							{
								"component": "nc-row",
								"element": [
									{
										"component": "nc-row",
										"attribute": {
											"width": "1/1"
										},
										"element": [
											{
												"component": "nc-radio",
												"text": "Year estimate",
												"attribute": {
													"value": "'year_estimate'",
													"model": "rec.pr.json_data.stock_limit_calc_type"
												}
											}
										]
									}
								]
							},
							{
								"component": "nc-row",
								"element": [
									{
										"component": "nc-row",
										"attribute": {
											"width": "1/1"
										},
										"element": [
											{
												"component": "nc-radio",
												"text": "Actual usage",
												"attribute": {
													"value": "'actual_usage'",
													"model": "rec.pr.json_data.stock_limit_calc_type"
												}
											}
										]
									}
								]
							},
							{
								"component": "nc-row",
								"element": [
									{
										"component": "nc-row",
										"attribute": {
											"width": "1/1"
										},
										"element": [
											{
												"component": "nc-radio",
												"text": "Bigger of year / actual",
												"attribute": {
													"value": "'bigger_of_year_actual'",
													"model": "rec.pr.json_data.stock_limit_calc_type"
												}
											}
										]
									}
								]
							},
							{
								"component": "nc-row",
								"element": [
									{
										"component": "nc-row",
										"attribute": {
											"width": "1/1"
										},
										"element": [
											{
												"component": "nc-grid",
												"attribute": {
													"id": "pr_input4_1",
													"model": "grid.product.input4_1"
												}
											}
										]
									}
								]
							}
						]
					},
					{
						"component": "nc-col",
						"comment": "nc-input(type='text', model='rec.prfi_lplgstestimate')",
						"attribute": {
							"width": "8/12"
						},
						"element": [
							{
								"component": "nc-row",
								"element": [
									{
										"component": "nc-col",
										"attribute": {
											"width": "3/12"
										},
										"element": [
											{
												"component": "nc-label",
												"text": "Manufacturing need (piece/year)",
												"attribute": {
													"model": "hdr.pr.json_data.manufacturing_need"
												}
											}
										]
									},
									{
										"component": "nc-col",
										"attribute": {
											"width": "3/12"
										},
										"element": [
											{
												"component": "nc-input",
												"attribute": {
													"type": "text",
													":disabled": "true",
													"model": "rec.pr.json_data.manufacturing_need"
												}
											}
										]
									}
								]
							},
							{
								"component": "nc-row",
								"element": [
									{
										"component": "nc-col",
										"attribute": {
											"width": "3/12"
										},
										"element": [
											{
												"component": "nc-label",
												"text": "Minimum stock (piece)",
												"attribute": {
													"model": "hdr.pr.minimum_stock"
												}
											}
										]
									},
									{
										"component": "nc-col",
										"attribute": {
											"width": "3/12"
										},
										"element": [
											{
												"component": "nc-input",
												"attribute": {
													"type": "text",
													":disabled": "true",
													"model": "rec.pr.minimum_stock"
												}
											}
										]
									}
								]
							},
							{
								"component": "nc-row",
								"element": [
									{
										"component": "nc-col",
										"attribute": {
											"width": "3/12"
										},
										"element": [
											{
												"component": "nc-label",
												"text": "Max wanted stock balance",
												"attribute": {
													"model": "hdr.pr.json_data.max_wanted_stock_balance"
												}
											}
										]
									},
									{
										"component": "nc-col",
										"attribute": {
											"width": "3/12"
										},
										"element": [
											{
												"component": "nc-input",
												"attribute": {
													"type": "text",
													":disabled": "true",
													"model": "rec.pr.json_data.max_wanted_stock_balance"
												}
											}
										]
									}
								]
							},
							{
								"component": "nc-row",
								"element": [
									{
										"component": "nc-col",
										"attribute": {
											"width": "3/12"
										},
										"element": [
											{
												"component": "nc-label",
												"text": "Safety stock duration (weeks)",
												"attribute": {
													"model": "hdr.pr.json_data.safety_stock_duration"
												}
											}
										]
									},
									{
										"component": "nc-col",
										"attribute": {
											"width": "3/12"
										},
										"element": [
											{
												"component": "nc-input",
												"attribute": {
													"type": "text",
													":disabled": "true",
													"model": "rec.pr.json_data.safety_stock_duration"
												}
											}
										]
									},
									{
										"component": "nc-col",
										"attribute": {
											"width": "3/12"
										},
										"element": [
											{
												"component": "nc-input",
												"attribute": {
													"type": "text",
													":disabled": "true",
													"model": "rec.product.rsafestockneed"
												}
											}
										]
									}
								]
							},
							{
								"component": "nc-row",
								"element": [
									{
										"component": "nc-col",
										"attribute": {
											"width": "3/12"
										},
										"element": [
											{
												"component": "nc-label",
												"text": "Normal delivery lot size (piece)",
												"attribute": {
													"model": "hdr.pr.json_data.normal_delivery_lot_size"
												}
											}
										]
									},
									{
										"component": "nc-col",
										"attribute": {
											"width": "3/12"
										},
										"element": [
											{
												"component": "nc-input",
												"attribute": {
													"type": "text",
													":disabled": "true",
													"model": "rec.pr.json_data.normal_delivery_lot_size"
												}
											}
										]
									}
								]
							},
							{
								"component": "nc-row",
								"element": [
									{
										"component": "nc-col",
										"attribute": {
											"width": "3/12"
										},
										"element": [
											{
												"component": "nc-label",
												"text": "Unfinished orders in weeks (weeks)",
												"attribute": {
													"model": "hdr.pr.json_data.unfinished_orders_in_weeks"
												}
											}
										]
									},
									{
										"component": "nc-col",
										"attribute": {
											"width": "3/12"
										},
										"element": [
											{
												"component": "nc-input",
												"attribute": {
													"type": "text",
													":disabled": "true",
													"model": "rec.pr.json_data.unfinished_orders_in_weeks"
												}
											}
										]
									}
								]
							},
							{
								"component": "nc-row",
								"element": [
									{
										"component": "nc-col",
										"attribute": {
											"width": "3/12"
										}
									},
									{
										"component": "nc-col",
										"attribute": {
											"width": "3/12"
										},
										"element": [
											{
												"component": "nc-checkbox",
												"attribute": {
													"model": "rec.pr.json_data.dynamic_act_limit_in_use"
												},
												"element": [
													{
														"component": "nc-translate",
														"text": "Dynamic act limit in use",
														"attribute": {
															"model": "hdr.pr.json_data.dynamic_act_limit_in_use"
														}
													}
												]
											}
										]
									}
								]
							},
							{
								"component": "nc-row",
								"element": [
									{
										"component": "nc-col",
										"attribute": {
											"width": "3/12"
										},
										"element": [
											{
												"component": "nc-label",
												"text": "Dynamic act limit min val",
												"attribute": {
													"model": "hdr.pr.json_data.dynamic_act_limit_min_val"
												}
											}
										]
									},
									{
										"component": "nc-col",
										"attribute": {
											"width": "6/12"
										},
										"element": [
											{
												"component": "nc-col",
												"attribute": {
													"class": ["input-group"]
												},
												"element": [
													{
														"component": "nc-input",
														"attribute": {
															"type": "text",
															":disabled": "true",
															"model": "rec.pr.json_data.dynamic_act_limit_min_val"
														}
													},
													{
														"component": "span",
														"text": "-",
														"attribute": {
															"class": ["input-group-addon"]
														}
													},
													{
														"component": "nc-input",
														"attribute": {
															"type": "text",
															":disabled": "true",
															"model": "rec.pr.json_data.dynamic_act_limit_max_val"
														}
													}
												]
											}
										]
									}
								]
							},
							{
								"component": "nc-row",
								"element": [
									{
										"component": "nc-col",
										"attribute": {
											"width": "3/12"
										},
										"element": [
											{
												"component": "nc-label",
												"text": "Est. work time",
												"attribute": {
													"model": "hdr.pr.json_data.work_time"
												}
											}
										]
									},
									{
										"component": "nc-col",
										"attribute": {
											"width": "3/12"
										},
										"element": [
											{
												"component": "nc-input",
												"attribute": {
													"type": "text",
													":disabled": "true",
													"model": "rec.pr.json_data.work_time"
												}
											}
										]
									}
								]
							},
							{
								"component": "nc-row",
								"element": [
									{
										"component": "nc-col",
										"attribute": {
											"width": "3/12"
										},
										"element": [
											{
												"component": "nc-label",
												"text": "Manufacturing avg. need",
												"attribute": {
													"model": "hdr.pr.json_data.manufacturing_average_need"
												}
											}
										]
									},
									{
										"component": "nc-col",
										"attribute": {
											"width": "3/12"
										},
										"element": [
											{
												"component": "nc-input",
												"attribute": {
													"type": "text",
													":disabled": "true",
													"model": "rec.pr.json_data.manufacturing_average_need"
												}
											}
										]
									}
								]
							},
							{
								"component": "nc-row",
								"element": [
									{
										"component": "nc-col",
										"attribute": {
											"width": "3/12"
										},
										"element": [
											{
												"component": "nc-label",
												"text": "Actual avg. need",
												"attribute": {
													"model": "hdr.pr.json_data.actual_average_need"
												}
											}
										]
									},
									{
										"component": "nc-col",
										"attribute": {
											"width": "3/12"
										},
										"element": [
											{
												"component": "nc-input",
												"attribute": {
													"type": "text",
													":disabled": "true",
													"model": "rec.pr.json_data.actual_average_need"
												}
											}
										]
									}
								]
							},
							{
								"component": "nc-row",
								"element": [
									{
										"component": "nc-col",
										"attribute": {
											"width": "3/12"
										},
										"element": [
											{
												"component": "nc-label",
												"text": "Est. avg. need",
												"attribute": {
													"model": "hdr.pr.json_data.estimated_average_need"
												}
											}
										]
									},
									{
										"component": "nc-col",
										"comment": "nc-input(type='text', model='rec.pr_rdynamestimavgneed')",
										"attribute": {
											"width": "3/12"
										},
										"element": [
											{
												"component": "nc-input",
												"attribute": {
													"type": "text",
													":disabled": "true",
													"model": "rec.pr.json_data.estimated_average_need"
												}
											}
										]
									}
								]
							},
							{
								"component": "nc-row",
								"element": [
									{
										"component": "nc-col",
										"attribute": {
											"width": "3/12"
										},
										"element": [
											{
												"component": "nc-label",
												"text": "Manufacturing cycle time",
												"attribute": {
													"model": "hdr.pr.json_data.manufacturing_cycle_time"
												}
											}
										]
									},
									{
										"component": "nc-col",
										"attribute": {
											"width": "3/12"
										},
										"element": [
											{
												"component": "nc-input",
												"attribute": {
													"type": "text",
													":disabled": "true",
													"model": "rec.pr.json_data.manufacturing_cycle_time"
												}
											}
										]
									},
									{
										"component": "nc-col",
										"attribute": {
											"width": "3/12"
										},
										"element": [
											{
												"component": "nc-input",
												"attribute": {
													"type": "text",
													":disabled": "true",
													"model": "rec.product.tdynammanufacturingcycle"
												}
											}
										]
									}
								]
							},
							{
								"component": "nc-row",
								"element": [
									{
										"component": "nc-col",
										"attribute": {
											"width": "3/12"
										},
										"element": [
											{
												"component": "nc-label",
												"text": "Action limit per unit",
												"attribute": {
													"model": "hdr.pr.json_data.action_limit"
												}
											}
										]
									},
									{
										"component": "nc-col",
										"attribute": {
											"width": "2/12"
										},
										"element": [
											{
												"component": "nc-input",
												"attribute": {
													"type": "text",
													":disabled": "true",
													"model": "rec.pr.json_data.action_limit"
												}
											}
										]
									},
									{
										"component": "nc-col",
										"attribute": {
											"width": "1/12"
										},
										"element": [
											{
												"component": "nc-input",
												"attribute": {
													"type": "text",
													":disabled": "true",
													"model": "rec.product.unit2"
												}
											}
										]
									},
									{
										"component": "nc-col",
										"attribute": {
											"width": "2/12"
										},
										"element": [
											{
												"component": "nc-input",
												"attribute": {
													"type": "text",
													":disabled": "true",
													"model": "rec.pr.json_data.stock_unit_2"
												}
											}
										]
									},
									{
										"component": "nc-col",
										"attribute": {
											"width": "1/12"
										},
										"element": [
											{
												"component": "nc-input",
												"attribute": {
													"type": "text",
													":disabled": "true",
													"model": "rec.product.rdynamicactionlimit"
												}
											}
										]
									}
								]
							},
							{
								"component": "nc-row",
								"element": [
									{
										"component": "nc-col",
										"attribute": {
											"width": "3/12"
										},
										"element": [
											{
												"component": "nc-label",
												"text": "Old alarm level",
												"attribute": {
													"model": "hdr.product.alarm_level_old"
												}
											}
										]
									},
									{
										"component": "nc-col",
										"attribute": {
											"width": "3/12"
										},
										"element": [
											{
												"component": "nc-input",
												"attribute": {
													"type": "text",
													":disabled": "true",
													"model": "rec.keyword.old"
												}
											}
										]
									},
									{
										"component": "nc-col",
										"attribute": {
											"width": "3/12"
										},
										"element": [
											{
												"component": "nc-button",
												"text": "Calculate",
												"attribute": {
													"name": "prfi_calculate"
												}
											}
										]
									}
								]
							},
							{
								"component": "nc-row",
								"element": [
									{
										"component": "nc-col",
										"attribute": {
											"width": "3/12"
										},
										"element": [
											{
												"component": "nc-label",
												"text": "Max. production amount",
												"attribute": {
													"model": "hdr.pr.json_data.max_production_amount"
												}
											}
										]
									},
									{
										"component": "nc-col",
										"attribute": {
											"width": "2/12"
										},
										"element": [
											{
												"component": "nc-input",
												"attribute": {
													"type": "text",
													"model": "rec.pr.json_data.max_production_amount"
												}
											}
										]
									},
									{
										"component": "nc-col",
										"attribute": {
											"width": "1/12"
										},
										"element": [
											{
												"component": "nc-input",
												"attribute": {
													"type": "text",
													":disabled": "true",
													"model": "rec.pr.stock_unit"
												}
											}
										]
									}
								]
							},
							{
								"component": "nc-row",
								"element": [
									{
										"component": "nc-col",
										"attribute": {
											"width": "3/12"
										},
										"element": [
											{
												"component": "nc-label",
												"text": "Min. purchase amount per unit",
												"attribute": {
													"model": "hdr.pr.minimum_order_amount"
												}
											}
										]
									},
									{
										"component": "nc-col",
										"attribute": {
											"width": "2/12"
										},
										"element": [
											{
												"component": "nc-input",
												"attribute": {
													"type": "text",
													"model": "rec.pr.minimum_order_amount"
												}
											}
										]
									},
									{
										"component": "nc-col",
										"attribute": {
											"width": "1/12"
										},
										"element": [
											{
												"component": "nc-input",
												"attribute": {
													"type": "text",
													":disabled": "true",
													"model": "rec.pr.stock_unit"
												}
											}
										]
									}
								]
							},
							{
								"component": "nc-row",
								"element": [
									{
										"component": "nc-col",
										"attribute": {
											"width": "3/12"
										},
										"element": [
											{
												"component": "nc-label",
												"text": "Economic order quantity",
												"attribute": {
													"model": "hdr.product.economic_order_quantity"
												}
											}
										]
									},
									{
										"component": "nc-col",
										"attribute": {
											"width": "3/12"
										},
										"element": [
											{
												"component": "nc-input",
												"attribute": {
													"type": "text",
													":disabled": "true",
													"model": "rec.product.reconomicorderquantity"
												}
											}
										]
									},
									{
										"component": "nc-col",
										"attribute": {
											"width": "3/12"
										},
										"element": [
											{
												"component": "nc-button",
												"text": "Calculate",
												"attribute": {
													"name": "prfi_stock_info_calculate"
												}
											}
										]
									}
								]
							}
						]
					}
				]
			}
		]
	}
}
